Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.security
Class SecurityImplAllGrant

    java.lang.Object
      org.apache.slide.security.SecurityImpl
          org.apache.slide.security.SecurityImplAllGrant

All Implemented Interfaces:
  Security

public final class SecurityImplAllGrant
extends SecurityImpl
implements Security

Security helper.

Version:
  $Revision: 1.9 $

Field Summary
`protected static java.lang.String` | `LOG_CHANNEL`

Fields inherited from class org.apache.slide.security.SecurityImpl
`aclInheritanceType, logger, namespace, namespaceConfig, rolesCache`

Constructor Summary
`SecurityImplAllGrant()` Constructor.
`SecurityImplAllGrant(Namespace namespace, NamespaceConfig namespaceConfig)` Constructor.

Method Summary
`boolean` | `hasPermission(ObjectNode object, SubjectNode subject, ActionNode action)` Check whether or not an actor can perform the specified activity on a collection.

Methods inherited from class org.apache.slide.security.SecurityImpl
`checkCredentials, checkPermission, checkPermission, denyPermission, denyPermission, denyPermission, enumeratePermissions, enumeratePermissions, enumeratePermissions, enumeratePermissions, getActionAggregation, getPrincipal, getRoles, getRoles, getRoles, grantPermission, grantPermission, grantPermission, hasPermission, hasRole, hasRole, init, matchAction, matchPrincipal, matchPrincipal, retrieveAclSourceNodes, revokePermission, revokePermission, setPermissions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.slide.security.Security
`checkCredentials, checkPermission, checkPermission, denyPermission, denyPermission, denyPermission, enumeratePermissions, enumeratePermissions, enumeratePermissions, enumeratePermissions, getPrincipal, getRoles, getRoles, getRoles, grantPermission, grantPermission, grantPermission, hasPermission, hasRole, hasRole, init, matchAction, matchPrincipal, revokePermission, revokePermission, setPermissions`

Field Detail

### LOG_CHANNEL

    protected static final java.lang.String LOG_CHANNEL

Constructor Detail

### SecurityImplAllGrant

    public SecurityImplAllGrant()

  Constructor.

### SecurityImplAllGrant

    public SecurityImplAllGrant(Namespace namespace,
                                NamespaceConfig namespaceConfig)

  Constructor.

Parameters:
  `namespace` - Namespace
  `namespaceConfig` - Namespace configuration

Method Detail

### hasPermission

    public boolean hasPermission(ObjectNode object,
                                 SubjectNode subject,
                                 ActionNode action)
                          throws ServiceAccessException,
                                 ObjectNotFoundException

  Check whether or not an actor can perform the specified activity on a collection.

  Specified by:
    `hasPermission` in interface `Security`
  Overrides:
    `hasPermission` in class `SecurityImpl`
  Parameters:
    `object` - Object on which access is tested
    `subject` - Subject who seeks to perform the action
    `action` - Action which is to be performed
  Returns:
    true if the action can be performed
  Throws:
    `ServiceAccessException` - DataSource access error
    `ObjectNotFoundException` - Specified object was not found in the DataSource

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD